Create Verification Link

POST
/api/v1/customer/{customerId}/verification/link

Generate KYC verification link for an existing customer

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

customerId*string

Customer UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Header Parameters

idempotency-key*string

Required for mutating calls. Use a V4 UUID. The server stores the first result for 24h and returns it on subsequent retries with the same key.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body
ttl_in_secs?integer

Time-to-live for the KYC link in seconds (default: 1800)

Range0 < value <= 9007199254740991
redirect?

Custom redirect URLs for KYC completion

verification_type?string

Step-up verification or action type. business_edd is available for an existing business customer with a previously created base-verification applicant.

Value in"liveness""passport""source_of_wealth""proof_of_address""business_edd"

Response Body

Default Response

application/json
  1. response
customer_id*CustomerId

Customer UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
kyc_link*string

URL for customer to complete KYC process

Formaturi
Example Request
curl -X POST 'https://api.sandbox.stables.money/api/v1/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08/verification/link' \  -H 'idempotency-key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",  "kyc_link": "http://example.com"}

Generate a hosted verification link for a customer who already exists. Use it to send the customer into a verification level, for example the verification_type named by an RFI requirement's action.